var React = require('react');
var createComponent = require('react-unit');

import {shallow} from 'enzyme';
import { validateInstance } from '../source/validate';

let handleChange = (event) => {
    /* Custom event from select boxes */
    const target = event.target;
    const value = target.value;
    const name = target.name;
    state[name] = value;
  };

  let state = {
    errorModel: {
        inValidFields: [],
        checkbox: 'Please confirm the items!',
        textField: 'Please select pick-up date!'
    }
};

  test('Validate-React', () => {
    // Render a checkbox with label in the document
    validateInstance.setProps({currentState: state, onChange: handleChange});
    const checkbox = shallow(
      <input type="text" value={state.value} 
            {...validate('required', 'firstName', this.props.currentState.firstName, 'errorText')}
            onChange={handleChange} />)
    
    expect(checkbox.text()).toEqual('Off');
  
    checkbox.find('input').simulate('change');
  
    expect(checkbox.text()).toEqual('On');
  });
